FlexNet Operations: Requirements

Entitlement Management for Managing the Software License Lifecycle and Use Rights for Apps on Devices

Requirements

This document shows the technical specifications for FlexNet Operations On-Premises.

Server Requirements

For best performance, availability and reliability, install each FlexNet Operations component on a separate host.

For Windows servers (each)

  • Dual Core
  • 8 GB of RAM
  • At least 10 GB free disk space

For Linux servers (each)

  • Dual Core
  • 8 GB of RAM
  • At least 10 GB free disk space
  • Current directory (.) must be in the path of the user who starts the FlexNet Operations Server
Supported Operating Systems
  • Microsoft Windows Server 2012 (64-bit)
  • Microsoft Windows Server 2012 R2 (64-bit)
  • Red Hat Enterprise Linux 6 (64-bit)
  • Red Hat Enterprise Linux 7 (64-bit)
Supported Databases
  • Oracle 12c: Enterprise, Express, or Standard Edition (Oracle 12c Traditional Architecture only, not Container Database or Pluggable Database)
  • Microsoft SQL Server 2012 or Microsoft SQL Server 2014 or Microsoft SQL Server 2016: Enterprise, Express, or Standard Edition

Note: All databases in your FlexNet Operations installation must be of the same database type.

Application Server
  • WildFly version 8.2.0, with default configured heap space minimum of 4 GB and maximum of 8 GB
Message Broker Software
  • RabbitMQ, latest version (written in Erlang programming language, latest version)
Web Browsers
  • Microsoft Internet Explorer 10, 11 or Edge
  • Mozilla Firefox 45, 46
  • Google Chrome 50, 51, 52
Java Development Kit
  • Oracle JDK 8 update 45
Java Runtime Version
  • Oracle JRE version 1.7 (Java 7 update 45 recommended.)
FlexNet Licensing Module
  • FlexNet Publisher 11.X or later
  • FlexNet Embedded 3.X or later

Note: FlexNet Operations 2016 supports these FlexNet Embedded host ID types: Ethernet, FlexID 9, FlexID 10, String, VM UUID, User, Extended, Tolerant, Internet, Internet IPV6, and publisher defined

Vendor Certificate Generator

The current version of the VCG kit is 12.11.

The version 12.11 VCG was tested with the following compilers:

  • Windows—Visual Studio 2008 Professional Edition
  • Linux—gcc 4.1.2 (RHEL 5.0)
  • Linux—gcc 4.4.4 (RHEL 6.0)

Note: The 12.11 VCG is built with FlexNet Publisher 11.11.1 and shares the same minimum C compiler requirements on each supported platform. (See the FlexNet Publisher 11.11.1 release notes for C/C++ compiler support.)

Supported LDAP Directory Server
  • Windows 2008 Active Directory

Back to FlexNet Operations